Subject: Re: [PATCH 2/2] rheap: move rheap.c from arch/powerpc/lib/ to lib/

From: Scott Wood <[email-masked]>
Date: Thu, 4 Jun 2015 17:40:59 -0500

On Thu, 2015-06-04 at 04:27 -0500, Zhao Qiang-B45475 wrote:
> On Thu, 2015-06-04 at 2:14PM, Wood Scott wrote:
> 
> 
> > -----Original Message-----
> > From: Wood Scott-B07421
> > Sent: Thursday, June 04, 2015 2:14 PM
> > To: Zhao Qiang-B45475
> > Cc: [email-masked]; Xie Xiaobo-R63061
> > Subject: Re: [PATCH 2/2] rheap: move rheap.c from 
> > arch/powerpc/lib/ to
> > lib/
> > 
> > On Thu, 2015-06-04 at 00:56 -0500, Zhao Qiang-B45475 wrote:
> > > On Thu, 2015-05-28 at 1:37AM +0800, Wood Scott wrote:
> > > 
> > > 
> > > > -----Original Message-----
> > > > From: Wood Scott-B07421
> > > > Sent: Thursday, May 28, 2015 1:37 AM
> > > > To: Zhao Qiang-B45475
> > > > Cc: [email-masked]; Wood Scott-B07421; Xie 
> > > > Xiaobo-
> > > > R63061
> > > > Subject: Re: [PATCH 2/2] rheap: move rheap.c from 
> > > > arch/powerpc/lib/
> > > > to lib/
> > > > 
> > > > On Wed, 2015-05-27 at 17:12 +0800, Zhao Qiang wrote:
> > > > > qe need to use the rheap, so move it to public directory.
> > > > 
> > > > You've been previously asked to use lib/genalloc.c rather than
> > > > introduce duplicate functionality into /lib.  NACK.
> > > 
> > > Can't use lib/genalloc.c instead of rheap.c.
> > > Qe need to alloc muram of qe, not DIMM.
> > 
> > lib/genalloc.h is not for allocating main memory.  It is for 
> > allocating
> > special regions.  It is serving the same purpose as rheap.
> 
> I need to use the func "rh_alloc_align", what it the similar func?
> I just find a func "gen_pool_first_fit_order_align".

I don't see anywhere the QE code currently calls rh_alloc_align() -- 
and cpm_muram_init() calls rh_init() with an alignment of 1.

If you do need some functionality that genalloc doesn't offer, add the 
functionality to genalloc.

-Scott